<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>

<div class="item">

  <div class="itemHeader">
    <fmt:message key="comment.removeEmailAddressTitle" />
  </div>

  <div class="itemBody">
    <p>
    <fmt:message key="comment.removeEmailAddress" />
    </p>

    <form name="removeEmailAddress" action="removeEmailAddress.action" method="POST">
      <input type="hidden" name="entry" value="<c:out value="${blogEntry.id}"/>">
      <input type="text" name="email" size="40" />
      <input name="submit" type="submit" Value="<fmt:message key="comment.removeEmailAddressButton" />" />
    </form>

    <p>
      <fmt:message key="common.backTo" /> <a href="<c:out value="${blogEntry.permalink}"/>"><c:out value="${blogEntry.title}"/></a>.
    </p>
  </div>

</div>