<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.simongbrown.com/pebble" prefix="pebble" %>

<div class="item">

  <div class="itemHeader">
    <fmt:message key="newsfeed.feedsTitle" />
  </div>

  <div class="itemBody">
      <table width="99%" cellspacing="0" cellpadding="8">
        <tr class="small">
          <td>
            <c:out value="${blog.rootCategory.name}" />
          </td>
          <td align="right" class="small">
            <a href="<c:out value="rss.xml"/>"><fmt:message key="newsfeed.rss" /></a> |
<%--
            <a href="<c:out value="rssWithCommentsAndTrackBacks.xml"/>" title="Get an RSS 2.0 feed for all categories, including comments and TrackBacks"><img src="<pebble:theme/>/images/rss2-plus.gif" alt="RSS 2.0" border="0" /></a>
            <br />
--%>
            <a href="<c:out value="rdf.xml"/>"><fmt:message key="newsfeed.rdf" /></a> |
            <a href="<c:out value="atom.xml"/>"><fmt:message key="newsfeed.atom" /></a>
          </td>
        </tr>

        <c:forEach var="category" items="${categories}" varStatus="status" begin="1">
          <c:choose>
            <c:when test="${status.count % 2 == 0}">
              <tr class="itemBodyOdd small">
            </c:when>
            <c:otherwise>
                <tr class="itemBodyEven small">
            </c:otherwise>
          </c:choose>
            <td>
              <c:out value="${category.name}"/>
            </td>
            <td align="right" class="small">
              <a href="<c:out value="${category.permalink}rss.xml"/>"><fmt:message key="newsfeed.rss" /></a> |
<%--
              <a href="<c:out value="rssWithCommentsAndTrackBacks.xml?category=${category.id}"/>" title="Get an RSS 2.0 feed for this category, including comments and TrackBacks"><img src="<pebble:theme/>/images/rss2-plus.gif" alt="RSS 2.0" border="0" /></a>
              <br />
--%>
              <a href="<c:out value="${category.permalink}rdf.xml"/>"><fmt:message key="newsfeed.rdf" /></a> |
              <a href="<c:out value="${category.permalink}atom.xml"/>"><fmt:message key="newsfeed.atom" /></a>
            </td>
          </tr>
        </c:forEach>

      </table>
  </div>
</div>

<pebble:showAdminPanel>
<div style="text-align: center">
<a href="http://www.feedvalidator.org/check.cgi?url=<c:out value="${blog.url}rss.xml"/>"><img src="<%= request.getContextPath() %>/common/images/valid-rss.png" alt="[Valid RSS]" title="Validate my RSS feed" width="88" height="31" border="0" /></a>
&nbsp;
<a href="http://www.feedvalidator.org/check.cgi?url=<c:out value="${blog.url}rdf.xml"/>"><img src="<%= request.getContextPath() %>/common/images/valid-rss.png" alt="[Valid RSS]" title="Validate my RDF feed" width="88" height="31" border="0" /></a>
&nbsp;
<a href="http://www.feedvalidator.org/check.cgi?url=<c:out value="${blog.url}atom.xml"/>"><img src="<%= request.getContextPath() %>/common/images/valid-atom.png" alt="[Valid Atom]" title="Validate my Atom feed" width="88" height="31" border="0" /></a>
</div>
</pebble:showAdminPanel>