<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.simongbrown.com/pebble" prefix="pebble" %>

<div class="item">

  <div class="itemHeader">
    <span class="itemLinks">
      <a href="<%= request.getContextPath() %>/docs/static-pages.html" target="_blank">Help</a>
    </span>
    Static pages
  </div>

  <div class="itemBody">
    <table width="99%" cellspacing="0" cellpadding="4">
      <c:forEach var="blogEntry" items="${blogEntries}" varStatus="status">
        <c:choose>
          <c:when test="${status.count % 2 == 0}">
            <tr class="itemBodyEven small">
          </c:when>
          <c:otherwise>
              <tr class="itemBodyOdd small">
          </c:otherwise>
        </c:choose>
        <td width="2%">
          <fmt:formatNumber value="${status.count}"/>
        </td>
        <td><a href="<c:out value="${blogEntry.permalink}"/>"><c:out value="${blogEntry.title}"/></a></td>
        <td align="right">
          <a href="editStaticPage.secureaction?entry=<c:out value="${blogEntry.id}"/>" title="Edit this static page">Edit</a>
          |
          <a href="javascript:confirmRemove('removeStaticPage.secureaction?entry=<c:out value="${blogEntry.id}"/>');" title="Remove this static page">Remove</a>
        </td>
      </tr>
      </c:forEach>
    </table>
  </div>

</div>