<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>

<div class="item">

  <div class="itemHeader">
    <fmt:message key="comment.addComment" />
  </div>

  <div class="itemBody">
    <c:choose>
      <c:when test="${not blogEntry.commentsEnabled}">
        <fmt:message key="comment.commentsDisabled" />
      </c:when>
      <c:when test="${comment.approved}">
        <fmt:message key="comment.commentPosted" />
      </c:when>
      <c:when test="${comment.rejected}">
        <fmt:message key="comment.commentRejected" />
      </c:when>
      <c:otherwise>
        <fmt:message key="comment.commentPending" />
      </c:otherwise>
    </c:choose>

    <p>
    <fmt:message key="common.backTo" /> <a href="<c:out value="${blogEntry.permalink}"/>"><c:out value="${blogEntry.title}"/></a>.
    </p>
  </div>

</div>