<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://www.simongbrown.com/pebble" prefix="pebble" %>

<div class="item">

  <div class="itemHeader">
    <span class="itemLinks">
      <a href="viewFiles.secureaction?path=<c:out value="${file.path}&type=${type}"/>">Back to <c:out value="${file.path}"/></a>
    </span>
    Edit file (<c:out value="${file.absolutePath}" />)
  </div>

  <form name="editFile" action="saveFile.secureaction" method="POST">
  <input type="hidden" name="name" value="<c:out value="${file.name}" />" />
  <input type="hidden" name="path" value="<c:out value="${file.path}" />" />
  <input type="hidden" name="type" value="<c:out value="${type}" />" />

  <div class="itemBody">
    <textarea name="content" cols="80" rows="40"><c:out value="${content}" escapeXml="true"/></textarea>
    <br /><br />
    <input name="submit" type="submit" Value="Save File">
  </div>

  </form>

</div>