<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>

<div class="item">

  <div class="itemHeader">
    Blog entry templates
  </div>

  <div class="itemBody">
    <table width="99%" cellspacing="0" cellpadding="4">
      <c:forEach var="blogEntry" items="${blogEntries}" varStatus="status">
        <c:choose>
          <c:when test="${status.count % 2 == 0}">
            <tr class="itemBodyEven small">
          </c:when>
          <c:otherwise>
              <tr class="itemBodyOdd small">
          </c:otherwise>
        </c:choose>
        <td width="2%">
          <fmt:formatNumber value="${status.count}"/>
        </td>
        <td>
          <a href="editBlogEntryTemplate.secureaction?entry=<c:out value="${blogEntry.id}"/>" title="Edit/use this blog entry template">
            <c:choose>
              <c:when test="${!empty blogEntry.title}"><c:out value="${blogEntry.title}" /></c:when>
              <c:otherwise>No Title</c:otherwise>
            </c:choose>
          </a>
        </td>
        <td align="right">
          <a href="javascript:confirmRemove('removeBlogEntryTemplate.secureaction?entry=<c:out value="${blogEntry.id}"/>');" title="Remove this blog entry template">Remove</a>
        </td>
      </tr>
      </c:forEach>
    </table>
  </div>

</div>