<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://www.simongbrown.com/pebble" prefix="pebble" %>

<div class="item">

  <div class="itemHeader">
    View themes
  </div>

  <div class="itemBody">
    <form name="chooseTheme" action="viewTheme.secureaction" method="POST">
      <pebble:select name="theme" items='<%= (java.util.Collection)request.getAttribute("themes") %>' selected='<%= (String)request.getAttribute("theme") %>' />
      <input name="submit" type="submit" Value="Choose Theme" />
    </form>

    <c:if test="${not empty theme}">
      <form name="chooseFile" action="viewTheme.secureaction" method="POST">
        <input type="hidden" name="theme" value="<c:out value="${theme}" />" />
        <pebble:select name="file" items='<%= (java.util.Collection)request.getAttribute("files") %>' selected='<%= (String)request.getAttribute("file") %>' />
        <input name="submit" type="submit" Value="Choose File">
      </form>
    </c:if>

    <c:if test="${not empty file}">
      <pre style="overflow: auto"><c:out value="${content}" escapeXml="true"/></pre>
    </c:if>

  </div>

</div>